begin;

-- Show the number of distinct sources per interaction grouped by interaction
-- type (canonical or specific).

create temporary table tmp_sources_per_interaction as
    select interaction_type, sources, example, number_of_interactions
    from (
        select sources, min(rigid) as example, count(distinct rigid) as number_of_interactions, 'specific' as interaction_type
        from (
            select rigid, count(distinct name) as sources
            from mitab_interactions
            natural join mitab_sources
            group by rigid
            ) as X
        group by sources
        union
        select sources, min(crigid) as example, count(distinct crigid) as number_of_interactions, 'canonical' as interaction_type
        from (
            select crigid, count(distinct name) as sources
            from mitab_interactions
            natural join mitab_sources
            where crigid is not null
            group by crigid
            ) as Y
        group by sources
        ) as Z
    order by interaction_type, sources;

\copy tmp_sources_per_interaction to '<directory>/sources_per_interaction'

rollback;
